%global _empty_manifest_terminate_build 0
Name:           python-ironic-lib
Version:        4.6.1
Release:        2
Summary:        Ironic common library
License:        Apache-2.0
URL:            https://docs.openstack.org/ironic-lib/
Source0:        https://files.pythonhosted.org/packages/df/be/d878eff4700f38e8e8018330f292b966443498033dd17e89482ead28f2f6/ironic-lib-4.6.1.tar.gz
BuildArch:      noarch
%description
A common library to be used exclusively by projects under the Ironic governance.

%package -n python3-ironic-lib
Summary:        Ironic common library
Provides:       python-ironic-lib
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-webob
BuildRequires:  python3-bcrypt
BuildRequires:  python3-oslo-concurrency
BuildRequires:  python3-oslo-config
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-oslo-log
BuildRequires:  python3-oslo-utils == 4.8.0
BuildRequires:  python3-oslo-messaging
BuildRequires:  python3-requests
BuildRequires:  python3-tenacity
BuildRequires:  python3-zeroconf
BuildRequires:  python3-keystonemiddleware
# General requires
Requires:       python3-webob
Requires:       python3-bcrypt
Requires:       python3-oslo-concurrency
Requires:       python3-oslo-config
Requires:       python3-oslo-i18n
Requires:       python3-oslo-log
Requires:       python3-oslo-utils == 4.8.0
Requires:       python3-pbr
Requires:       python3-requests
Requires:       python3-tenacity
Requires:       python3-zeroconf
%description -n python3-ironic-lib
A common library to be used exclusively by projects under the Ironic governance.

%package help
Summary:        Ironic common library
Provides:       python3-ironic-lib-doc
%description help
A common library to be used exclusively by projects under the Ironic governance.

%prep
%autosetup -n ironic-lib-4.6.1

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
#%{__python3} setup.py test

%files -n python3-ironic-lib -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%files
%{_prefix}/%{_sysconfdir}/ironic/rootwrap.d/ironic-lib.filters

%changelog
* Wed Mar 01 2023 OpenStack_SIG <openstack@openeuler.org> - 4.6.1-2
- Fix install error

* Tue Jul 13 2021 OpenStack_SIG <openstack@openeuler.org> - 4.6.1-1
- Update to 4.6.1

* Mon Feb 01 2021 OpenStack rpm-packaging <huangtianhua223@gmail.com>
- Package Spec generated
